## "**Granny** is going to rate your apples"

**Granny** is a program for superficial disorder rating in "Granny Smith" apples.

## Introduction

Superficial scald is a physiological disorder that occurs following a chilling injury during early weeks of fruit storage, but with delayed symptom development - most notably peel necrosis that occurs in irregular patterns. Currently, quantification of the superficial scald incidence is performed manually by trained technicians with a few inconsistencies:

- The set of rating values is small and coarse-grained.
- The ratings are subjected to human error and individual bias

In the collaboration with [Honaas lab](https://www.ars.usda.gov/pacific-west-area/wenatchee-wa/physiology-and-pathology-of-tree-fruits-research/people/loren-honaas/) at the USDA ARS, the [Ficklin Research Program](http://ficklinlab.cahnrs.wsu.edu/) at Washington State University has developed a computer vision approach for automatic detection and superficial scald rating in the "Granny Smith" apple images.

Inspired by the well-known apple cultivar, **Granny** is Python-based implementation of Mask-RCNN and image segmentation techniques, aiming to assist technicians in the superficial disorder rating process.

## Project Contributors

- [Nhan Nguyen](nhan.h.nguyen@wsu.edu) - Ficklin lab's undergraduate researcher
- [Heidi Hargarten](https://www.ars.usda.gov/people-locations/person?person-id=52227) - Honaas lab's postdoctoral researcher
- [Loren Honaas](https://www.ars.usda.gov/pacific-west-area/wenatchee-wa/physiology-and-pathology-of-tree-fruits-research/people/loren-honaas/) - Honaas lab's principal investigator
- [Stephen Ficklin](http://ficklinlab.cahnrs.wsu.edu/) - Ficklin lab's principal investigator

## Installation and Usage

Want **Granny** to rate your apples? Please refer to our [demo](https://github.com/SystemsGenetics/Granny/tree/master/demo) page for installation and usage.

### Limitations

This program contains certain constraints that are limitted to phenomic research.
